//------------------------------------------------------------------------------
//
// File:    apsmainmodule.cc
//
// Purpose: Main module
//   
// (c) 2004 Plekhanov Andrey
//
// Initial version 0.1 08.03.2004
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#include <stdio.h>

#include "apsmainmodule.h"

const int MAX_INFO_STR_LENGTH = 1024;

APSMainModule :: APSMainModule( const char * apModuleName,
                                int aX_Version,
                                int aY_Version,
                                int aZ_Version,
                                int aFirstCopyRightYear,
                                int aCopyRightYear,
                                int aVersionType ) : APSModule( apModuleName, 0 )
{
  X_Version          = aX_Version;
  Y_Version          = aY_Version;
  Z_Version          = aZ_Version;
  FirstCopyRightYear = aFirstCopyRightYear;
  CopyRightYear      = aCopyRightYear;
  VersionType        = aVersionType;
}

APSMainModule :: ~APSMainModule( void )
{
}

void APSMainModule :: GetModuleInfo( char * pStr ) const
{
  switch( VersionType ) {
    case APS_BETA_VERSION:
      sprintf( pStr, "  %s %i.%i.%i BETA %d - %d\n", GetModuleName(),
               GetX_Version(), GetY_Version(), GetZ_Version(), GetFirstCopyRightYear(), GetCopyRightYear() );
    break;
    case APS_ALPHA_VERSION:
      sprintf( pStr, "  %s %i.%i.%i ALPHA %d - %d\n", GetModuleName(),
               GetX_Version(), GetY_Version(), GetZ_Version(), GetFirstCopyRightYear(), GetCopyRightYear() );
      break;
    default:
      sprintf( pStr, "  %s %i.%i.%i %d - %d\n", GetModuleName(),
               GetX_Version(), GetY_Version(), GetZ_Version(), GetFirstCopyRightYear(), GetCopyRightYear() );
  }
}

void APSMainModule :: ShowBanner( void ) const
{
  char InfoStr[ MAX_INFO_STR_LENGTH ];

  GetModuleInfo( InfoStr );

  PutMessage( InfoStr );
}

