//------------------------------------------------------------------------------
//
// File:    apsmodule.h
//
// Purpose: Module support
//   
// (c) 2004 Plekhanov Andrey
//
// Initial version 0.1 30.04.2004
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#ifndef 	_APSMODULE_H_
#define         _APSMODULE_H_	1

#include "apsabsmodule.h"

class APSSubModule;

class APSModule : public APSAbsModule
{
  private:

    const char   * pModuleName;
    APSSubModule * pOwner;

  protected:

    const APSSubModule * GetOwnerPtr( void ) const
      { return( pOwner ); }

    virtual void PutMessage( const char * pMsg ) const;

  public:

    APSModule( const char * apModuleName, APSSubModule * apOwner );

    virtual ~APSModule( void );

    virtual const char * GetModuleName( void ) const;

    virtual int InfoMessage( int MsgNumber, const char * pMsg = 0, const APSAbsModule * pSubModule = 0 ) const;

    virtual int WarningMessage( int MsgNumber, const char * pMsg = 0, const APSAbsModule * pSubModule = 0 ) const;

    virtual int ErrorMessage( int MsgNumber, const char * pMsg = 0, const APSAbsModule * pSubModule = 0 ) const;

    virtual int DebugMessage( int MsgNumber, const char * pMsg = 0, const APSAbsModule * pSubModule = 0 ) const;

    virtual int StrMessage( int MsgNumber, const char * pMsg = 0, const APSAbsModule * pSubModule = 0 ) const;

    virtual const char * GetMessageText( int MsgNumber ) const;
};

#endif

