//------------------------------------------------------------------------------
//
// File:    apsobinfile.cc
//
// Purpose: General purpose procedures for output binary file processing
//   
// (c) 2004 Plekhanov Andrey
//
// Initial version 0.1 30.04.2004
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#include "apsobinfile.h"

APSOBinFile :: APSOBinFile( const char * aFileName ) :
APSBinFile( aFileName, "wb" )
{
}

APSOBinFile :: APSOBinFile( const char * aFileName, int /*Append*/ ) :
APSBinFile( aFileName, "ab" )
{
}

APSOBinFile :: ~APSOBinFile( void )
{
}

int APSOBinFile :: PutRecord( void * pRecord, unsigned int RecordLength )
{
  int WriteBytes;

  if( !IfOpened() )
    return( 2 );

  WriteBytes = fwrite( pRecord, RecordLength, 1, GetHandlerPtr() );

  if( WriteBytes != RecordLength ) {
    return( 1 );;
  }

  return( 0 );
}
