//------------------------------------------------------------------------------
//
// File:    apssubmodule.cc
//
// Purpose: Submodule support
//   
// (c) 2004 Plekhanov Andrey
//
// Initial version 0.1 30.04.2004
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#include "apssubmodule.h"
#include "apsmodule.h"

APSSubModule :: APSSubModule( APSModule * apOwner ) : APSAbsModule()
{
  pOwner     = apOwner;
  pSubModule = 0;
}

APSSubModule :: ~APSSubModule( void )
{
}

const char * APSSubModule :: GetModuleName( void ) const
{
  if( pSubModule ) {
    return( pSubModule->GetModuleName() );
  }
  else {
    return("Unknown");
  }
}

int APSSubModule :: InfoMessage( int MsgNumber, const char * pMsg, const APSAbsModule * pSubModule ) const
{
  return( pOwner->InfoMessage( MsgNumber, pMsg, pSubModule ) );
}

int APSSubModule :: WarningMessage( int MsgNumber, const char * pMsg, const APSAbsModule * pSubModule ) const
{
  return( pOwner->WarningMessage( MsgNumber, pMsg, pSubModule ) );
}

int APSSubModule :: ErrorMessage( int MsgNumber, const char * pMsg, const APSAbsModule * pSubModule ) const
{
  return( pOwner->ErrorMessage( MsgNumber, pMsg, pSubModule ) );
}

int APSSubModule :: DebugMessage( int MsgNumber, const char * pMsg, const APSAbsModule * pSubModule ) const
{
  return( pOwner->DebugMessage( MsgNumber, pMsg, pSubModule ) );
}

int APSSubModule :: StrMessage( int MsgNumber, const char * pMsg, const APSAbsModule * pSubModule ) const
{
  return( pOwner->StrMessage( MsgNumber, pMsg, pSubModule ) );
}

const char * APSSubModule :: GetMessageText( int MsgNumber ) const
{
  if( pSubModule ) {
    return( pSubModule->GetMessageText( MsgNumber ) );
  }
  else {
    return("Unknown message");
  }
}

