//------------------------------------------------------------------------------
//
// File:    apssubmodule.h
//
// Purpose: Submodule support
//   
// (c) 2004 Plekhanov Andrey
//
// Initial version 0.1 30.04.2004
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//------------------------------------------------------------------------------

#ifndef 	_APSSUBMODULE_H_
#define         _APSSUBMODULE_H_	1

#include "apsabsmodule.h"

class APSModule;

class APSSubModule : public APSAbsModule
{
  private:

    APSModule * pOwner;
    APSModule * pSubModule;

  protected:

    const APSModule * GetOwnerPtr( void ) const
      { return( pOwner ); }

  public:

    APSSubModule( APSModule * apOwner );

    virtual ~APSSubModule( void );

    const APSModule * GetSubMudulePtr( void ) const
      { return( pSubModule ); }

    void SetSubModule( const APSModule * apSubModule )
      { pSubModule = pSubModule; }

    virtual const char * GetModuleName( void ) const;

    virtual int InfoMessage( int MsgNumber, const char * pMsg, const APSAbsModule * pSubModule ) const;

    virtual int WarningMessage( int MsgNumber, const char * pMsg, const APSAbsModule * pSubModule ) const;

    virtual int ErrorMessage( int MsgNumber, const char * pMsg, const APSAbsModule * pSubModule ) const;

    virtual int DebugMessage( int MsgNumber, const char * pMsg, const APSAbsModule * pSubModule ) const;

    virtual int StrMessage( int MsgNumber, const char * pMsg = 0, const APSAbsModule * pSubModule = 0 ) const;

    virtual const char * GetMessageText( int MsgNumber ) const;
};

#endif


